> For the complete documentation index, see [llms.txt](https://docs.faspay.co.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.faspay.co.id/getting-started/faspay-sendme/authentication/signature/generate-signature-other-service.md).

# Generate signature other service

To generate another service on Faspay account you can use that format below :

* **Signature** = encrypt method rule HMAC (StringToSign, faspay\_secret)

<table><thead><tr><th width="214">Parameter</th><th>Type</th></tr></thead><tbody><tr><td><strong>method</strong></td><td>POST / GET(based on service API)</td></tr><tr><td><strong>path</strong></td><td>define URL service that will be used (list of service API)</td></tr><tr><td><strong>timestamp</strong></td><td>datetime (Y-m-d H:i:s). Sample : 2018-10-09 14:24:00</td></tr><tr><td><strong>token</strong></td><td>base64_encode <strong>(CLIENT_KEY:CLIENT_SECRET:ACCESS_TOKEN)</strong></td></tr><tr><td></td><td> <strong>AccessToken</strong> is a token that is already owned by the partner in accordance with the service token that will be used</td></tr><tr><td><strong>request_body</strong></td><td> for this service, set <strong>request body</strong> to empty string</td></tr><tr><td><strong>StringToSign</strong></td><td>"[method]:[path]:[timestamp]:[access_token]:[request_body]"</td></tr><tr><td></td><td>*) without [] and ""</td></tr><tr><td><strong>faspay_secret</strong></td><td>will given by faspay</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.faspay.co.id/getting-started/faspay-sendme/authentication/signature/generate-signature-other-service.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
